//
//  ViewController.swift
//  ListsStoryboard
//
//  Created by Roman Vyjídáček on 16.03.2023.
//

import UIKit

class ViewController: UIViewController {

    var notes: [Note] = []
    
    @IBOutlet weak var tableView: UITableView! {
        didSet {
            tableView.delegate = self
            tableView.dataSource = self
            
            tableView.register(UINib(nibName: NoteTableViewCell.reuseIdentifier, bundle: .main),
                               forCellReuseIdentifier: NoteTableViewCell.reuseIdentifier)
        }
    }
    
    override func viewDidLoad() {
        super.viewDidLoad()
        notes = .mock
    }
}

extension ViewController: UITableViewDelegate, UITableViewDataSource {
    
    func tableView(_ tableView: UITableView, numberOfRowsInSection section: Int) -> Int {
        return notes.count
    }
    
    func tableView(_ tableView: UITableView, cellForRowAt indexPath: IndexPath) -> UITableViewCell {
        if let cell = tableView.dequeueReusableCell(withIdentifier: NoteTableViewCell.reuseIdentifier) as? NoteTableViewCell {
            cell.setup(with: notes[indexPath.item])
            return cell
        }
        
        return UITableViewCell()
    }
}

